summaryrefslogtreecommitdiff
path: root/utils
diff options
context:
space:
mode:
Diffstat (limited to 'utils')
-rwxr-xr-xutils/lib_sxng_test.sh9
1 files changed, 8 insertions, 1 deletions
diff --git a/utils/lib_sxng_test.sh b/utils/lib_sxng_test.sh
index 321584bf2..bd3e19651 100755
--- a/utils/lib_sxng_test.sh
+++ b/utils/lib_sxng_test.sh
@@ -6,8 +6,9 @@ test.help(){
test.:
yamllint : lint YAML files (YAMLLINT_FILES)
pylint : lint ./searx, ./searxng_extra and ./tests
- pyright : static type check of python sources (.dev or .ci)
black : check black code format
+ shfmt : check shfmt code format
+ shfmt : check Shell script code format
unit : run unit tests
coverage : run unit tests with coverage
robot : run robot test
@@ -105,6 +106,12 @@ test.black() {
dump_return $?
}
+test.shfmt() {
+ build_msg TEST "[shfmt] ${SHFMT_SCRIPTS[*]}"
+ go.tool shfmt --list --diff "${SHFMT_SCRIPTS[@]}"
+ dump_return $?
+}
+
test.unit() {
build_msg TEST 'tests/unit'
# shellcheck disable=SC2086